"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TranslatableItem = void 0;
class TranslatableItem {
  constructor(props) {
    this.props = props;
  }
  get itemId() {
    return this.props.itemId;
  }
  get value() {
    return this.props.value;
  }
  get context() {
    return this.props.context;
  }
  get modifiedOn() {
    return this.props.modifiedOn;
  }
  get modifiedBy() {
    return this.props.modifiedBy;
  }
  static create(props) {
    return new TranslatableItem(props);
  }
  update(props) {
    if (props.value === this.props.value) {
      return this;
    }
    return new TranslatableItem({
      ...this.props,
      ...props,
      modifiedOn: props.modifiedOn ?? new Date()
    });
  }
}
exports.TranslatableItem = TranslatableItem;

//# sourceMappingURL=TranslatableItem.js.map